Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/ai/tools" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "tool_type": "string", "configuration": { "endpoint": "string", "type": "Api" } }'{ "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "tool_type": "api", "deployment_id": "string", "configuration": { "endpoint": "string", "method": "GET", "authorization": { "authorize_as_user": true, "jwt_template_id": "string", "custom_headers": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] } ] }, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] }, "min_items": 0, "max_items": 0, "properties": [] } ] } ] }, "request_body_schema": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] } ] }, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] }, "min_items": 0, "max_items": 0, "properties": [] } ] } ], "url_params_schema": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] } ] }, "min_items": 0, "max_items": 0, "properties": [ { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": { "name": "string", "field_type": "string", "required": true, "title": "string", "description": "string", "enum_values": [ null ], "format": "string", "minimum": 0, "maximum": 0, "items_type": "string", "items_schema": {}, "min_items": 0, "max_items": 0, "properties": [] }, "min_items": 0, "max_items": 0, "properties": [] } ] } ], "timeout_seconds": 0, "type": "Api" }, "approval_action": "allow"}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}